import './App.css';
import { Routes, Route, Navigate } from 'react-router-dom'
import { useCookies } from 'react-cookie';
import LoginPage from './LoginPage';
import MainPage from './MainPage';

function App() {
  const [cookies] = useCookies(['accessToken']);
  return (
    <div className="App">
      <Routes>
        <Route exact path="/" element={cookies.accessToken ? <MainPage /> : <Navigate to="/login" />} />
        <Route exact path="/login" element={<LoginPage />} />
      </Routes>
    </div>
  );
}

export default App;
