import { createSlice } from '@reduxjs/toolkit'

export const userSlice = createSlice({
    name: 'user',
    initialState: {
        udid: "",    // web端使用ip地址作为udid
        flushToken: "",
        accessToken: "",
        passportId: 0,
        createTime: "",
        userName: "",
        agreeAgreement: true,
        account: "13682423271",
        password: "yzs123456",
        verificationCode: "",
    },
    reducers: {
        setUdid: (state, action) => {
            state.udid = action.payload;
        },
        setFlushToken: (state, token) => {
            // Redux Toolkit allows us to write "mutating" logic in reducers. It
            // doesn't actually mutate the state because it uses the Immer library,
            // which detects changes to a "draft state" and produces a brand new
            // immutable state based off those changes
            state.flushToken = token.payload;
        },
        setAccessToken: (state, token) => {
            state.accessToken = token.payload;
        },
        setUserInfo: (state, info) => {
            state.passportId = info.payload.passportId
            state.createTime = info.payload.createTime
            state.userName = info.payload.userName
        },
        setAccount: (state, action) => {
            state.account = action.payload;
        },
        setPassword: (state, action) => {
            state.password = action.payload;
        },
        setVerificationCode: (state, action) => {
            state.verificationCode = action.payload;
        },
    }
})

// Action creators are generated for each case reducer function
export const { setUdid, setFlushToken, setAccessToken, setUserInfo, setAccount, setPassword, setVerificationCode } = userSlice.actions

export default userSlice.reducer