import React, { useState } from 'react';
import { Container, TextField, Button, InputAdornment } from "@mui/material";
import PhoneIphoneIcon from '@mui/icons-material/PhoneIphone';
import LockIcon from '@mui/icons-material/Lock';
import { useSelector, useDispatch } from 'react-redux'
import { setAccount, setPassword } from "../business/userSlice.js"

export default function () {
    const dispatch = useDispatch();
    const account = useSelector(state => state.user.account)
    const password = useSelector(state => state.user.password)
    const handleInputChange = (event) => {
        const { name, value } = event.target;
        if (name === 'username') dispatch(setAccount(value));
        if (name === 'password') dispatch(setPassword(value));
    };

    return <Container disableGutters={true}
        sx={{
            width: 300,
            height: 200,
        }}
    >
        <TextField
            name="username"
            label="请输入手机号码"
            variant="outlined"
            value={account}
            fullWidth
            onChange={handleInputChange}
            InputProps={{
                startAdornment: (
                    <InputAdornment position="start">
                        <PhoneIphoneIcon />
                    </InputAdornment>
                ),
            }}
        />
        <TextField
            // sx={{ paddingTop: 4 }}
            fullWidth
            margin="normal"
            name="password"
            label="请输入密码"
            type="password"
            variant="outlined"
            value={password}
            onChange={handleInputChange}
            InputProps={{
                startAdornment: (
                    <InputAdornment position="start">
                        <LockIcon />
                    </InputAdornment>
                ),
            }}
        />
        <Button
            type="submit"
            variant="contained"
            color="primary"
            fullWidth
            sx={{
                backgroundColor: "#FF595A",
                '&:hover': {
                    backgroundColor: '#FF595A',
                },
                '&:active': {
                    backgroundColor: '#FF595A',
                },
            }}
        >
            登录
        </Button>
    </Container>
}